## org.apache.catalina.ssi
Class SSIPrintenv

    java.lang.Object
      org.apache.catalina.ssi.SSIPrintenv

All Implemented Interfaces:
  SSICommand

public class SSIPrintenv
extends java.lang.Object
implements SSICommand

Implements the Server-side #printenv command

Version:
  $Revision: 466595 $, $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Dan Sandberg

Constructor Summary
`SSIPrintenv()`

Method Summary
`void` `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIPrintenv

    public SSIPrintenv()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.